• Using NuGet to Install and Configure Oracle Data Provider for .NET

    This tutorial describes how to download, install, and configure Oracle Data Provider for .NET (ODP.NET), Managed Driver and ODP.NET, Managed Entity Framework Driver using Microsoft NuGet.

    Duration: 10 minutes

    This content is intended for the following job role(s): Application Developer

    Release Date: 23-FEB-2015

Reviews (4)

  • 2.4 years ago
    x-alexis
    I installed and configured the date provider. I am having difficulty obtaining data via entiti. I make the request through one scheme to another scheme of data. Permissions given through a grant to the selection. Sapmle: Entity connected to shema1, query to shema1 is working then i need to make query to shema2 select * from shema2.table3 and a have message: ORA-00942 table or view is not found
    • nancy.greenberg
      2.4 years ago
      This question isn't relevant to the NuGet OBE nor the Entity Framework OBE. I think you can find an answer to this if you go to the ODP.NET discussion forum to ask this question. http://www.oracle.com/technetwork/topics/dotnet/whatsnew/index.html The discussion forum has many more Oracle .NET experts to contribute to an answer. Plus, this type of question requires some follow up questions to answer.
  • 2.5 years ago
    eric.tomcat
    This is a wonderful article, But I found some problems. 1. At this time, on vs 2013, I must update the entity framework to 6.1, after install the nuget package. 2. I have installed odtWithODAC 11.2, and after install the nuget package, the model wizard window crashed. This is a common problem. I create a virtual box win 7, and install a new vs 2013, nuget package, odtWithODAC 12(32bit), it works.
    • nancy.greenberg
      2.5 years ago
      With respect to the first question, it's possible for ODP.NET to require a higher EF version. However, if customers have standardized on a lower EF 6 version (e.g. 6.0.2), they would not be able to downgrade to it, which would be a significant limitation. That is why ODP.NET does not increase the minimum dependent EF version. With NuGet, we can only define dependent assembly versions that are supported. NuGet then chooses the lowest version available, rather than the highest. That would be a feature either NuGet itself would need to add or allow package writers to customize.
  • 2.6 years ago
    mark_a_baer
    Good start, but not far enough. I added the nuget packages, then tried to create a data model from the database by using the EF wizard. It saw my Oracle connection, but when I tried to generate the DB Model, the wizard died/failed. I think you should take this demo, then actually connect to the db(Generate Model from Database) to show us that the wizard works for generating the model. I'm okay with doing code first, but I would like to see generating the model from the database.
    • eric.tomcat
      2.5 years ago
      You need a clean enviroment. new win 7, new vs2013, and new odt 12
  • 2.7 years ago
    esanderson
    -

     

    Favorite

    Email this Page

    Facebook

    Twitter

    Google Plus One

    Buttons